function [ zvuk ] = orezani_sumu( signal )
%% Ořezání zvuku o ticho
%
%vstup signál
%zvukový signál
%
%výstup zvuk
%zvukový signál upraven
%

citac=1;
rozmer=length(signal);

while (abs(signal(citac,1)) < 0.001)
    
     if(citac == rozmer) %kdyby byl jen šum
         break; 
     end;
    
    citac = citac+1;
    
end;

signal=signal(citac:rozmer);


signal=flipud(signal);    %otočení vektoru

citac=1;
rozmer=length(signal);



while (abs(signal(citac,1)) < 0.001)
    
     
     citac = citac+1;
    
end;

signal=signal(citac:rozmer);


zvuk=flipud(signal);    %otočení vektoru

end

